package com.ruoyi.platform.service;

import com.ruoyi.common.core.web.domain.GenericsAjaxResult;
import com.ruoyi.platform.domain.ImageVersion;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (ImageVersion)表服务接口
 *
 * @author Xidaray
 * @since 2024-03-05 15:00:02
 */
public interface ImageVersionService {



    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ImageVersion queryById(Integer id);

    /**
     * 分页查询
     *
     * @param imageVersion 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<ImageVersion> queryByPage(ImageVersion imageVersion, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param imageVersion 实例对象
     * @return 实例对象
     */
    ImageVersion insert(ImageVersion imageVersion);

    /**
     * 修改数据
     *
     * @param imageVersion 实例对象
     * @return 实例对象
     */
    ImageVersion update(ImageVersion imageVersion);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);


    List<ImageVersion> queryByImageId(Integer id);


    GenericsAjaxResult<String> removeById(Integer id) throws Exception;
}
